Subject: Re: sky2 hangs without any messages

From: Stephen Hemminger <[email-masked]>
Date: Wed, 23 May 2007 07:50:26 -0700

On Wed, 23 May 2007 09:54:31 +0200
Tino Keitel <[email-masked]> wrote:

> Hi folks,
> 
> in the last 2 days, I had 2 outages of the NIC of my Mac mini Core Duo.
> I checked the kernel log but I found nothing sky2 related. After
> reloading the module, the interface worked again.
> 
> Both freezes were connected to access from a remote NFS client to a
> directory with ~4700 files in it. Both times, after reloading the
> module and waiting some minutes until the NFS client had recovered from
> the hanging NFS server, the same action worked.
> 
> The network is 100 mbit full duplex. I use NFS over TCP and kernel
> 2.6.21 with the "disable flow control" patch, the configuration is
> attached.
> 

Don't use that patch, it isn't needed and probably causes problem.

Please get output of 'ethtool -d eth0'; more recent versions of
ethtool can decode the register format. Older versions just print hex.
-- 
Stephen Hemminger <[email-masked]>